Actions APIReferenceVaultsSlugInstant redeem

Quote the asset amount for an instant NestVault redemption.

POST
/vaults/{slug}/instant-redeem/quote

Path Parameters

slug*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

redemptionAsset*string

ERC20 address of the desired instant redemption asset on the requested chain.

Match^0x[a-fA-F0-9]{40}$
shareAmount*string

Raw base-unit amount of vault shares to instant-redeem (string for bigint safety).

Match^\d+$
chainId*integer

EVM chain ID. Must be supported and must match a chain the vault is deployed on.

Range0 < value

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/vaults/nest-wisdom-vault/instant-redeem/quote" \  -H "Content-Type: application/json" \  -d '{    "redemptionAsset": "0x222365ef19f7947e5484218551b56bb3965aa7af",    "shareAmount": "1000000",    "chainId": 98866  }'
{  "data": {    "redemptionType": "nest",    "slug": "string",    "chainId": 0,    "shareTokenAddress": "string",    "redemptionAsset": "string",    "nestVaultAddress": "string",    "shareAmount": "string",    "shareDecimals": 0,    "redemptionAmount": "string",    "redemptionDecimals": 0,    "feeAmount": "string",    "fees": {      "ratePpm": 0,      "flatAmount": "string",      "maxRatePpm": 0,      "maxFlatAmount": "string"    },    "steps": [      {        "label": "approve",        "description": "string"      }    ]  }}